View Issue Details

IDProjectCategoryView StatusLast Update
0002147Far ManagerFindFilespublic2012-09-09 10:03
ReporterraandomAssigned To2useven10 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version 
Target VersionFixed in Version3.0 
Summary0002147: file search by content mistakenly finds special content
Description1. put "\d+\-" in test.txt
2. search for "*" containing text "\d\-"
3. surprisingly you will find test.txt
TagsNo tags attached.
Build2792

Activities

2useven10

2012-09-03 14:17

developer   bugnote:0009499

'Found' in UTF-7 codepage.
I think UTF-7 should be removed from 'standard' codepage list...

2useven10

2012-09-04 19:43

developer   bugnote:0009500

2792 -- UTF7 excluded from FindFile 'AllCodepages' list

raandom

2012-09-09 00:31

reporter   bugnote:0009504

Night build 2796 x86 (2012-09-08) works fine in "All code pages" search mode.

Issue History

Date Modified Username Field Change
2012-08-28 17:53 raandom New Issue
2012-09-03 14:17 2useven10 Note Added: 0009499
2012-09-04 19:43 2useven10 Note Added: 0009500
2012-09-04 19:43 2useven10 Assigned To => 2useven10
2012-09-04 19:43 2useven10 Status new => feedback
2012-09-09 00:31 raandom Note Added: 0009504
2012-09-09 00:31 raandom Status feedback => assigned
2012-09-09 00:31 raandom Status assigned => resolved
2012-09-09 10:03 2useven10 Build => 2792
2012-09-09 10:03 2useven10 Status resolved => closed
2012-09-09 10:03 2useven10 Resolution open => fixed
2012-09-09 10:03 2useven10 Fixed in Version => 3.0